List generated aggregate narrative summaries
curl --request GET \
--url https://partners.centaur.io/api/v1/aggregate-summaries \
--header 'x-api-key: <api-key>'import requests
url = "https://partners.centaur.io/api/v1/aggregate-summaries"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://partners.centaur.io/api/v1/aggregate-summaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"results": [
{
"id": "<string>",
"windowStart": "2023-11-07T05:31:56Z",
"windowEnd": "2023-11-07T05:31:56Z",
"generatedAt": "2023-11-07T05:31:56Z",
"status": "safe",
"headline": "<string>",
"overview": "<string>",
"dominantNarratives": [
"<string>"
],
"contrarianTheses": [
"<string>"
],
"marketDrivers": [
"<string>"
],
"assetSentiment": [
{
"symbol": "<string>",
"name": "<string>",
"discussionRank": 123,
"sentiment": "bullish",
"intensity": "low",
"thesis": "<string>",
"drivers": [
"<string>"
],
"contrarianAngle": "<string>",
"confidence": "low"
}
],
"risks": [
"<string>"
],
"coverage": {
"eligibleSourceCount": 123,
"activeSourceCount": 123,
"messageCount": 123,
"attachmentCount": 123
}
}
],
"meta": {
"hasMore": true,
"nextCursor": "<string>",
"appliedTimeRange": {
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z"
}
}
},
"requestId": "c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8"
}{
"success": false,
"error": {
"code": "INVALID_CURSOR",
"message": "Malformed cursor"
},
"requestId": "c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8"
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Unauthorized"
},
"requestId": "c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8"
}{
"success": false,
"error": {
"code": "FORBIDDEN",
"message": "Forbidden"
},
"requestId": "c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8"
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Unauthorized",
"details": "<unknown>"
},
"requestId": "c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8"
}{
"success": false,
"error": {
"code": "AUTHENTICATION_UNAVAILABLE",
"message": "Authentication is temporarily unavailable"
},
"requestId": "c8e2c6e4-80dd-4ffc-9d66-4e31bf64c6b8"
}Aggregate Summaries
List generated aggregate narrative summaries
Returns generated aggregate narrative summaries selected by Aggregate Window overlap. Results expose coverage counts rather than source trader or channel identities.
GET
/
api
/
v1
/
aggregate-summaries
List generated aggregate narrative summaries
Authorizations
API key issued by Centaur.
Query Parameters
ISO-8601 lower bound for Aggregate Window overlap. An Aggregate Window must end after this timestamp.
ISO-8601 upper bound for Aggregate Window overlap. An Aggregate Window must start before this timestamp.
Maximum number of rows to return.
Required range:
1 <= x <= 200Forward pagination cursor from meta.nextCursor.
Minimum string length:
1Include low-signal Generated Aggregate Narrative Summaries. Defaults to false, returning only safe summaries.
Last modified on August 21, 2026